Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.serverPool
Class ServerPoolMetrics

`java.lang.Object
oracle.ovs.api.datamodel.serverPool.ServerPoolMetrics`

      public class ServerPoolMetrics

extends java.lang.Object

ServerPoolMetrics

Including Items:
1. Server Pool Name
2. Total Memory (MB)
3. Total free memory(MB)
4. Allocated VCPU number for all VMs running in this server pool
5. Total of physical CPU number
6. Total of CPU Speed(MHZ)
7. Total of CPU Chips number
8. Free disk space(MB)

Constructor Summary
`ServerPoolMetrics()` Default constructor

Method Summary
`java.lang.Long` | `getAllocatedVCpu()` All Allocated VCPU Number
`java.lang.Long` | `getFreeDiskSpace()` Free Disk Space(MB)
`java.lang.Long` | `getFreeMemory()` Free Memory(MB)
`java.lang.String` | `getServerPoolName()` Server Pool Name
`java.lang.Long` | `getTotalCPUSpeedMHZ()` Total CPU Speed(MHZ)
`java.lang.Long` | `getTotalMemory()` Total Memory(MB)
`java.lang.Long` | `getTotalNumOfChips()` Total Chips Number
`java.lang.Long` | `getTotalNumOfCpus()` Total CPU number
`void` | `setAllocatedVCpu(java.lang.Long allocatedVCpu)` All Allocated VCPU Number
`void` | `setFreeDiskSpace(java.lang.Long freeDiskSpace)` Free Disk Space(MB)
`void` | `setFreeMemory(java.lang.Long freeMemory)` Free Memory(MB)
`void` | `setServerPoolName(java.lang.String serverPoolName)` Server Pool Name
`void` | `setTotalCPUSpeedMHZ(java.lang.Long totalCPUSpeedMHZ)` Total CPU Speed(MHZ)
`void` | `setTotalMemory(java.lang.Long totalMemory)` Total Memory(MB)
`void` | `setTotalNumOfChips(java.lang.Long totalNumOfChips)` Total Chips Number
`void` | `setTotalNumOfCpus(java.lang.Long totalNumOfCpus)` Total CPU number
`java.lang.String` | `toString()` Override java.lang.Object.toString()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerPoolMetrics

    public ServerPoolMetrics()

  Default constructor

Method Detail

### setTotalNumOfCpus

    public void setTotalNumOfCpus(java.lang.Long totalNumOfCpus)

  Total CPU number
  Parameters:
    `totalNumOfCpus` - Total CPU number

### getTotalNumOfCpus

    public java.lang.Long getTotalNumOfCpus()

  Total CPU number
  Returns:
    Total CPU number

### setTotalNumOfChips

    public void setTotalNumOfChips(java.lang.Long totalNumOfChips)

  Total Chips Number
  Parameters:
    `totalNumOfChips` - Total Chips Number

### getTotalNumOfChips

    public java.lang.Long getTotalNumOfChips()

  Total Chips Number
  Returns:
    totalNumOfChips Total Chips Number

### setTotalCPUSpeedMHZ

    public void setTotalCPUSpeedMHZ(java.lang.Long totalCPUSpeedMHZ)

  Total CPU Speed(MHZ)
  Parameters:
    `totalCPUSpeedMHZ` - Total CPU Speed(MHZ)

### getTotalCPUSpeedMHZ

    public java.lang.Long getTotalCPUSpeedMHZ()

  Total CPU Speed(MHZ)
  Returns:
    Total CPU Speed(MHZ)

### setServerPoolName

    public void setServerPoolName(java.lang.String serverPoolName)

  Server Pool Name
  Parameters:
    `serverPoolName` -

### getServerPoolName

    public java.lang.String getServerPoolName()

  Server Pool Name
  Returns:
    server Pool Name

### setTotalMemory

    public void setTotalMemory(java.lang.Long totalMemory)

  Total Memory(MB)
  Parameters:
    `totalMemory` - Total Memory

### getTotalMemory

    public java.lang.Long getTotalMemory()

  Total Memory(MB)
  Returns:
    Total Memory

### setFreeMemory

    public void setFreeMemory(java.lang.Long freeMemory)

  Free Memory(MB)
  Parameters:
    `freeMemory` - Free Memory

### getFreeMemory

    public java.lang.Long getFreeMemory()

  Free Memory(MB)
  Returns:
    Free Memory

### setAllocatedVCpu

    public void setAllocatedVCpu(java.lang.Long allocatedVCpu)

  All Allocated VCPU Number
  Parameters:
    `allocatedVCpu` - All Allocated VCPU Number

### getAllocatedVCpu

    public java.lang.Long getAllocatedVCpu()

  All Allocated VCPU Number
  Returns:
    All Allocated VCPU Number

### toString

    public java.lang.String toString()

  Override java.lang.Object.toString()
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Server Pool Metrics description
  See Also:
    `Object.toString()`

### setFreeDiskSpace

    public void setFreeDiskSpace(java.lang.Long freeDiskSpace)

  Free Disk Space(MB)
  Parameters:
    `freeDiskSpace` - Free Disk Space

### getFreeDiskSpace

    public java.lang.Long getFreeDiskSpace()

  Free Disk Space(MB)
  Returns:
    freeDiskSpace Free Disk Space

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.